TextUndo(3p)

NAME
Tk::TextUndo - perl/tk text widget with bindings to undo changes.

SYNOPSIS
use Tk::TextUndo;

$testundo = $parent->TextUndo(?-option=>value, ...?);

DESCRIPTION
This IS-A text widget with an unlimited 'undo' history but without a re'undo' capability.

  Bindings
The "TextUndo" widget has the same bindings as the Text widget. In addition there are the following bindings:

Event <L4> <<Undo>>
    undo the last change. Pressing <L4> several times undo step by step the changes made to the text widget.

  Methods
The "TextUndo" widget has the same methods as "Text" widget. Additional methods for the "TextUndo" widget are:

$text->Load($filename);
    Loads the contents of the $filename into the text widget. Load() delete the previous contents of the text widget as well as it's undo history of the previous file.

$text->Save(?$otherfilename?)
    Save contents of the text widget to a file. If the $otherfilename is not specified, the text widget contents writes the file of $filename used in the last Load() call. If no file was previously Load()'ed an error message pops up. The default filename of the last Load() call is not overwriten by $otherfilename.

$text->FileName(?$otherfilename?)
    If passed an argument sets the file name associated with the loaded document. Returns the current file name associated with the document.

KEYS
widget, text, undo

SEE ALSO
Tk::Text, Tk::ROText